#define TOKEN_AK	1	/* applies to person attacking */
#define TOKEN_DF	2	/* applies to person defending (default) */
#define TOKEN_OB	3	/* adjust OB */
#define TOKEN_SZ	4	/* size (TSMLH) */
#define TOKEN_LA	5	/* leg armor */
#define TOKEN_AA	6	/* arm armor */
#define TOKEN_HA	7	/* helm */
#define TOKEN_PL	8	/* Plate */
#define TOKEN_CH	9	/* Chain */
#define TOKEN_RL	10	/* Rigid Lthr */
#define TOKEN_SL	11	/* Soft Lthr */
#define TOKEN_NO	12	/* no armor */
#define TOKEN_AT	13	/* RM armor types */
#define TOKEN_AP	14	/* Activity Penalty */
#define TOKEN_ST	15	/* Stun */
#define TOKEN_BL	16	/* Bleed */
#define TOKEN_HT	17	/* Hits */
#define TOKEN_DD	18	/* Dead ie. DD 6 is death in 6 rnds */
#define TOKEN_IA	19	/* Inactive */
#define TOKEN_CA	20	/* previous crit value of attack was A */
#define TOKEN_CB	21	/* previous crit value of attack was B */
#define TOKEN_CC	22	/* previous crit value of attack was C */
#define TOKEN_CD	23	/* previous crit value of attack was D */
#define TOKEN_CE	24	/* previous crit value of attack was E */
#define TOKEN_OK	25	/* previous attack was successful */
#define TOKEN_IF	26	/* IF */
#define TOKEN_IN	27	/* IF NOT */
#define TOKEN_OR	28	/* OR */
#define TOKEN_AND	29	/* AND */
#define TOKEN_RGE	30	/* range ie. AT1:AT10 */
#define TOKEN_EL	31	/* ELSE */
#define TOKEN_END	32	/* finish statement */
#define TOKEN_SD	33	/* shield */
#define TOKEN_FIN	34	/* end all statements */
#define TOKEN_DA	35	/* delay attack until next round */
#define TOKEN_NP	36	/* no parry */
#define TOKEN_MP	37	/* must parry */
#define TOKEN_PC	38	/* primary critical */
#define TOKEN_SC	39	/* secondary critical */

#define TYP_FIN		-2	/* finish all statement */
#define TYP_END		-1	/* end statement */
#define TYP_QUEST	1	/* question/conditional statement */
#define TYP_ACT		2	/* adjustment/action statement */
#define TYP_JOIN	3	/* joining statement */
