/*********************************************************************************

*********************************************************************************/

#include <stdio.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>
#include <malloc.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "MEKSextraa.h"

#include "Fl_Preferences.H"

char * getSystemData(char *, char);

extern abbreviation wp_abbrev[];

/********************************************************************************/
char mybuf[100], *myptr, mybuf2[100];
int actionResults[3][8];
int  i, j, k, l;
float f;
char *tablemem[61];    /* memory malloc'ed for each table file */
char  tabletype[61][4];    /* all the 2 digit table codes loaded */
/********************************************************************************/
void reloadAllNames();
char *getWeaponStats(char *);
void doSaveAsIniFile();

/********************************************************************************/
void getActionLookup(Fl_Button *btn) {
}

/********************************************************************************/
char * getSystemData(char *tbl, char decrypt) {
struct stat fs;
char mb[4];

   k=0;
   i=-1;
   while (tbl[++i] != '\0') {
      mb[i] = (char )tolower ((int)(unsigned char) tbl[i]);
      k += toupper((int )tbl[i]);
   }
   mb[i] = '\0';

   for (i=0; i<61; i++) {
      if (strcasecmp(&tabletype[i][0], mb) == 0) {
         return(tablemem[i]);
      }
   }
   sprintf(mybuf, "./mrpdat/tab_%s.dat", mb);
   if ((i = open(mybuf, O_RDONLY)) != -1) {
      fstat(i, &fs);
      for (j=0; j<61; j++) {
         if (tabletype[j][0] == '\0' && tablemem[j] == NULL) {
            if ((tablemem[j] = (char *)malloc(fs.st_size)) != NULL) {
               strcpy(&tabletype[j][0], tbl);
               read(i, tablemem[j], fs.st_size);
               close(i);
printf("gSD: loaded %s (%d:%d)\n", mb, decrypt, k);
               if (decrypt == 1) {
                  myptr = tablemem[j];
                  for (i=0; i<fs.st_size; i++) {
                     *myptr = ~ (*myptr ^ k);
                     myptr++;
                  }
               }
               return(tablemem[j]);
            }
            else {
printf("gSD: error malloc-ing %s\n", mb);
            }
         }
      }
   }
   else {
printf("gSD: error openning %s (%s)\n", mb, mybuf);
	}
   return(NULL);
}

/********************************************************************************/
void loadEditPlayer(int plyr) {

	if (plyr == -1) {			// clear enough details ......
//		plyr = MEKSconfig.cur_plyr;
		MEKSconfig.cur_plyr = -1;
		meksEditPlayerSelector->activate();
		meksEditMonsterSelector->activate();
		meksEditName->value("");
		meksEditLevel->value("");
		meksEditHitsMax->value("");
		meksEditHitsCur->value("");
		meksEditNoAttks->value("");
		for (i=0; i<5; i++) {
			meksEditWName[i]->value("");
			meksEditWOB[i]->value("");
		}
		meksEditAccept->deactivate();
		meksEditCancel->deactivate();
		return;
	}
	else {
		MEKSconfig.cur_plyr = plyr;
		meksEditPlayerSelector->deactivate();
		meksEditMonsterSelector->deactivate();
	}
	meksEditTab->value(meksEditCharacter);

printf("Loading Player %d (%d/%d)\n", plyr,i,j);
	sprintf(mybuf, "%s", party[plyr].Name); meksEditName->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Level); meksEditLevel->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].HitsMax); meksEditHitsMax->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].HitsCur); meksEditHitsCur->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].NoAttks); meksEditNoAttks->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Bleed); meksEditBleed->value(mybuf);
	sprintf(mybuf, "%s", party[plyr].Wounds); meksEditWounds->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Stun); meksEditStun->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].ActPenalty); meksEditActPenalty->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Parry); meksEditParry->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].NoParry); meksEditNoParry->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Inactive); meksEditInactive->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].Death); meksEditDeath->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].DBBase); meksEditDBBase->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].SpellBase); meksEditSpellBase->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].DBShield); meksEditDBShield->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].SpellDirAttacks); meksEditSpellDirAttacks->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].MMBase); meksEditMMBase->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].AGQU); meksEditAGQU->value(mybuf);
	meksEditArmor->value(party[plyr].Armor);
	sprintf(mybuf, "%d", party[plyr].CON); meksEditCON->value(mybuf);
	meksEditSize->value(party[plyr].Size);
	meksEditDBLeg->value(party[plyr].DBLeg);
	meksEditDBArm->value(party[plyr].DBArm);
	meksEditDBHelm->value(party[plyr].DBHelm);
	meksEditIgnoreAtk->value(party[plyr].IgnoreAtk);
	meksEditCritAdj->value(party[plyr].CritAdj);
	meksEditRealm->value(party[plyr].Realm);
	sprintf(mybuf, "%d", party[plyr].RRPoison); meksEditRRPoison->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].RRChannel); meksEditRRChannel->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].RRMentalism); meksEditRRMentalism->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].RREssence); meksEditRREssence->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].RRDisease); meksEditRRDisease->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].SpellCharge); meksEditSpellCharge->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].MissileLoad); meksEditMissileLoad->value(mybuf);
	sprintf(mybuf, "%d", party[plyr].ParryVal); meksEditParryValue->value(mybuf);

	for (i=0; i<5; i++) {
		meksEditWName[i]->value(party[plyr].weap[i].wp_dsc);
		sprintf(mybuf, "%d", party[plyr].weap[i].wp_ob);
		meksEditWOB[i]->value(mybuf);
		meksEditWTable[i]->value(party[plyr].weap[i].wp_tbl);
		meksEditWSize[i]->value(party[plyr].weap[i].wp_sz);
		sprintf(mybuf, "%d", party[plyr].weap[i].wp_fm);
		meksEditWFumble[i]->value(mybuf);
		meksEditWPrimaryCrit[i]->value(party[plyr].weap[i].wp_pc);
		meksEditWSecondaryCrit[i]->value(party[plyr].weap[i].wp_sc);
		meksEditWSpecMods[i]->value(party[plyr].weap[i].wp_sm);
	}
	meksEditAccept->activate();
	meksEditCancel->activate();
}

/********************************************************************************/
void saveEditPlayer(int plyr) {
//int plyr=0;

	if (plyr == -1) {
		plyr = MEKSconfig.cur_plyr;
		MEKSconfig.cur_plyr = -1;
	}

printf("Saving Player %d\n", plyr);
	strcpy(party[plyr].Name, meksEditName->value());
	party[plyr].Level = atoi(meksEditLevel->value());
	party[plyr].HitsMax = atoi(meksEditHitsMax->value());
	party[plyr].HitsCur = atoi(meksEditHitsCur->value());
	party[plyr].NoAttks = atoi(meksEditNoAttks->value());
	party[plyr].Bleed = atoi(meksEditBleed->value());
	strcpy(party[plyr].Wounds, meksEditWounds->value());
	party[plyr].Stun = atoi(meksEditStun->value());
	party[plyr].ActPenalty = atoi(meksEditActPenalty->value());
	party[plyr].Parry = atoi(meksEditParry->value());
	party[plyr].NoParry = atoi(meksEditNoParry->value());
	party[plyr].Inactive = atoi(meksEditInactive->value());
	party[plyr].Death = atoi(meksEditDeath->value());
	party[plyr].DBBase = atoi(meksEditDBBase->value());
	party[plyr].SpellBase = atoi(meksEditSpellBase->value());
	party[plyr].DBShield = atoi(meksEditDBShield->value());
	party[plyr].SpellDirAttacks = atoi(meksEditSpellDirAttacks->value());
	party[plyr].MMBase = atoi(meksEditMMBase->value());
	party[plyr].AGQU = atoi(meksEditAGQU->value());
	party[plyr].Armor = meksEditArmor->value();
	party[plyr].CON = atoi(meksEditCON->value());
	party[plyr].Size = meksEditSize->value();
	party[plyr].DBLeg = meksEditDBLeg->value();
	party[plyr].DBArm = meksEditDBArm->value();
	party[plyr].DBHelm = meksEditDBHelm->value();
	party[plyr].IgnoreAtk = meksEditIgnoreAtk->value();
	party[plyr].CritAdj = meksEditCritAdj->value();
	party[plyr].RRPoison = atoi(meksEditRRPoison->value());
	party[plyr].RRChannel = atoi(meksEditRRChannel->value());
	party[plyr].RRMentalism = atoi(meksEditRRMentalism->value());
	party[plyr].RREssence = atoi(meksEditRREssence->value());
	party[plyr].RRDisease = atoi(meksEditRRDisease->value());
	party[plyr].SpellCharge = atoi(meksEditSpellCharge->value());
	party[plyr].MissileLoad = atoi(meksEditMissileLoad->value());
	party[plyr].ParryVal = atoi(meksEditParryValue->value());
	party[plyr].Realm = meksEditRealm->value();

	for (i=0; i<5; i++) {
		strcpy(party[plyr].weap[i].wp_dsc, meksEditWName[i]->value());
		party[plyr].weap[i].wp_ob = atoi(meksEditWOB[i]->value());
		strcpy(party[plyr].weap[i].wp_tbl, meksEditWTable[i]->value());
		strcpy(party[plyr].weap[i].wp_sz, meksEditWSize[i]->value());
		party[plyr].weap[i].wp_fm = atoi(meksEditWFumble[i]->value());
		strcpy(party[plyr].weap[i].wp_pc, meksEditWPrimaryCrit[i]->value());
		strcpy(party[plyr].weap[i].wp_sc, meksEditWSecondaryCrit[i]->value());
		strcpy(party[plyr].weap[i].wp_sm, meksEditWSpecMods[i]->value());

		meksEditWName[i]->value("");
		meksEditWOB[i]->value("");
	}
	meksEditName->value("");
	meksEditLevel->value("");
	meksEditHitsMax->value("");
	meksEditHitsCur->value("");
	meksEditNoAttks->value("");

	meksEditPlayerSelector->activate();
	meksEditMonsterSelector->activate();
	meksEditTab->value(meksEditCharacter);
	meksEditAccept->deactivate();
	meksEditCancel->deactivate();

	reloadAllNames();
}

/********************************************************************************/
void reloadAllNames() {
}

/******************************************************************************/
char *getWeaponStats(char *wn) {
	tbl_weap = (weapon *)getSystemData("WE", 1);

	while (tbl_weap->wp_dsc[0] != '\0') {
		if (strcasecmp(tbl_weap->wp_dsc, wn) == 0) {
printf("gWS: %s\n", tbl_weap->wp_dsc);
			return (char *)tbl_weap;
		}
		tbl_weap++;
	}
   tbl_abbr = &wp_abbrev[0];
   while (tbl_abbr->wp_abb[0] != '\0') {
      if (strcasecmp(tbl_abbr->wp_abb, wn) == 0) {
         return(getWeaponStats(tbl_abbr->wp_dsc));
      }
      tbl_abbr++;
   }
	return(NULL);
}

/******************************************************************************/
void getWeaponDetails(Fl_Input *weap) {
int i,j,k;
char *myptr;

	if (MEKSconfig.cur_plyr < 0 || MEKSconfig.cur_plyr > 34) {	// no-one being editted
		return;
	}
	for (int i=0; i<5; i++) {
		if (weap == meksEditWName[i]) {
			j = MEKSconfig.cur_plyr;
			k = atoi(meksEditWOB[i]->value());
			if (party[j].weap[i].wp_ob == 0 && k == 0) {
				myptr = getWeaponStats((char *)meksEditWName[i]->value());
				if (myptr != NULL) {
printf("gWD: %d/%d/%d (%s)\n", i,j,k,tbl_weap->wp_dsc);
					memcpy(&party[j].weap[i].wp_dsc[0], tbl_weap, sizeof(weapon));
					MEKSconfig.cur_plyr = -1;
					meksEditWName[i]->value(party[j].weap[i].wp_dsc);
					MEKSconfig.cur_plyr = j;
					party[j].weap[i].wp_ob = 0;
					sprintf(mybuf, "%d", party[j].weap[i].wp_ob);
					meksEditWOB[i]->value(mybuf);
					meksEditWTable[i]->value(party[j].weap[i].wp_tbl);
					meksEditWSize[i]->value(party[j].weap[i].wp_sz);
					sprintf(mybuf, "%d", party[j].weap[i].wp_fm);
					meksEditWFumble[i]->value(mybuf);
					meksEditWPrimaryCrit[i]->value(party[j].weap[i].wp_pc);
					meksEditWSecondaryCrit[i]->value(party[j].weap[i].wp_sc);
					meksEditWSpecMods[i]->value(party[j].weap[i].wp_sm);
				}
			}
			return;
		}
	}
}

/******************************************************************************/
void doMonsterLoad() {
char wn[5][10] = {"Melee", "Melee", "Melee", "Missile", "Thrown"};

	memset(party[0].Name, '\0', sizeof(players)*20);
	strcpy(mybuf, "XM");
	myptr = getSystemData(mybuf, 0);
	if (myptr != NULL) {
		memcpy(party[0].Name, myptr, sizeof(players)*31);
	}
	for (i=20; i<31; i++) {
		if (party[i].Name[0] == '\0') {
			sprintf(party[i].Name, "Monster - %d", i);
		}
	}
	for (i=0; i<15; i++) {
		meksEditPlayerSelector->add(party[i].Name, 0, 0, (void *)0);
		for (j=0; j<5; j++) {
			if (party[i].weap[j].wp_dsc[0] == '\0') {
				strcpy(party[i].weap[j].wp_dsc, &wn[j][0]);
			}
		}
	}
	for (i=15; i<(10+MAX_MONSTERS); i++) {
		meksEditMonsterSelector->add(party[i].Name, 0, 0, (void *)0);
		for (j=0; j<5; j++) {
			if (party[i].weap[j].wp_dsc[0] == '\0') {
				strcpy(party[i].weap[j].wp_dsc, &wn[j][0]);
			}
		}
	}
}

/******************************************************************************/
void doMonsterSave() {
   if ((i = open("./mrpdat/tab_xm.dat", O_RDWR)) != -1) {
		write(i, party[0].Name, sizeof(players)*31);
		close(i);
		doSaveAsIniFile();
	}
	else {
		printf("dMS: unable to open to save.....\n");
	}
}

/******************************************************************************/
void initialise() {
	strcpy(mybuf, "WE");
	myptr = getSystemData(mybuf, 1);
	meksEditAccept->deactivate();
	meksEditCancel->deactivate();
	meksTabMaster->value(meksEditTab);

	doMonsterLoad();
}

/******************************************************************************/
void loadMonsters() {
}

/******************************************************************************/
int getWindowEvent(int e) {
// printf("gWE: %d\n", e);
   return e;
}

/******************************************************************************/
void doSaveAsIniFile() {

	Fl_Preferences mainPrefs(Fl_Preferences::USER, "monster.pick", "ini");
	for (i=0; i<(10+MAX_MONSTERS); i++) {
		if (party[i].Name[0] != '-' && party[i].HitsMax != 0) {
			sprintf(mybuf, "Player-%d", i);
			Fl_Preferences playerPrefs(mainPrefs, mybuf);
			playerPrefs.set("Name", party[i].Name);
			playerPrefs.set("Level", party[i].Level);
			playerPrefs.set("HitsMax", party[i].HitsMax);
			playerPrefs.set("HitsCur", party[i].HitsCur);
			playerPrefs.set("NoAttks", party[i].NoAttks);
			playerPrefs.set("Bleed", party[i].Bleed);
			playerPrefs.set("Wounds", party[i].Wounds);
			playerPrefs.set("Stun", party[i].Stun);
			playerPrefs.set("ActPenalty", party[i].ActPenalty);
			playerPrefs.set("Parry", party[i].Parry);
			playerPrefs.set("NoParry", party[i].NoParry);
			playerPrefs.set("Inactive", party[i].Inactive);
			playerPrefs.set("Death", party[i].Death);
			playerPrefs.set("DBBase", party[i].DBBase);
			playerPrefs.set("SpellBase", party[i].SpellBase);
			playerPrefs.set("DBShield", party[i].DBShield);
			playerPrefs.set("SpellDirAttacks", party[i].SpellDirAttacks);
			playerPrefs.set("MMBase", party[i].MMBase);
			playerPrefs.set("AGQU", party[i].AGQU);
			playerPrefs.set("Armor", party[i].Armor);
			playerPrefs.set("CON", party[i].CON);
			playerPrefs.set("Size", party[i].Size);
			playerPrefs.set("DBLeg", party[i].DBLeg);
			playerPrefs.set("DBArm", party[i].DBArm);
			playerPrefs.set("DBHelm", party[i].DBHelm);
			playerPrefs.set("IgnoreAtk", party[i].IgnoreAtk);
			playerPrefs.set("CritAdj", party[i].CritAdj);
			playerPrefs.set("RRPoison", party[i].RRPoison);
			playerPrefs.set("RRChannel", party[i].RRChannel);
			playerPrefs.set("RRMentalism", party[i].RRMentalism);
			playerPrefs.set("RREssence", party[i].RREssence);
			playerPrefs.set("RRDisease", party[i].RRDisease);
			playerPrefs.set("Realm", party[i].Realm);
			playerPrefs.set("OBCur", party[i].OBCur);
			playerPrefs.set("OBAdd", party[i].OBAdd);
			playerPrefs.set("DBSpecial", party[i].DBSpecial);
			playerPrefs.set("MaMCur", party[i].MaMCur);
			playerPrefs.set("TempPenalties", party[i].TempPenalties,sizeof(party[i].TempPenalties));
			playerPrefs.set("NoDefd", party[i].NoDefd);
			playerPrefs.set("perc", party[i].perc);
			playerPrefs.set("track", party[i].track);
			playerPrefs.set("u_item", party[i].u_item);
			playerPrefs.set("r_rune", party[i].r_rune);
			playerPrefs.set("p_lock", party[i].p_lock);
			playerPrefs.set("d_trap", party[i].d_trap);
			playerPrefs.set("influ", party[i].influ);
			playerPrefs.set("stalk", party[i].stalk);
			playerPrefs.set("batlxp", party[i].batlxp,80);
			playerPrefs.set("xp", party[i].xp);
			playerPrefs.set("action", party[i].action,9);
			playerPrefs.set("NoActions", party[i].NoActions);
			playerPrefs.set("CurAction", party[i].CurAction);
			playerPrefs.set("DoingOppAction", party[i].DoingOppAction);
			playerPrefs.set("SpellCharge", party[i].SpellCharge);
			playerPrefs.set("MissileLoad", party[i].MissileLoad);
			playerPrefs.set("CurWeapon", party[i].CurWeapon);
			playerPrefs.set("DelayAttk", party[i].DelayAttk);
			playerPrefs.set("AttackCount", party[i].AttackCount);
			playerPrefs.set("ActionCount", party[i].ActionCount);
			playerPrefs.set("ParryVal", party[i].ParryVal);
			
			playerPrefs.set("0_wp_dsc", party[i].weap[0].wp_dsc);
			playerPrefs.set("0_wp_tbl", party[i].weap[0].wp_tbl);
			playerPrefs.set("0_wp_sel", party[i].weap[0].wp_sel);
			playerPrefs.set("0_wp_ob", party[i].weap[0].wp_ob);
			playerPrefs.set("0_wp_ca", party[i].weap[0].wp_ca);
			playerPrefs.set("0_wp_sz", party[i].weap[0].wp_sz);
			playerPrefs.set("0_wp_ma", party[i].weap[0].wp_ma);
			playerPrefs.set("0_wp_fm", party[i].weap[0].wp_fm);
			playerPrefs.set("0_wp_br", party[i].weap[0].wp_br);
			playerPrefs.set("0_wp_bf", party[i].weap[0].wp_bf);
			playerPrefs.set("0_wp_str", party[i].weap[0].wp_str);
			playerPrefs.set("0_wp_pc", party[i].weap[0].wp_pc);
			playerPrefs.set("0_wp_sc", party[i].weap[0].wp_sc);
			playerPrefs.set("0_wp_sm", party[i].weap[0].wp_sm);

			playerPrefs.set("1_wp_dsc", party[i].weap[1].wp_dsc);
			playerPrefs.set("1_wp_tbl", party[i].weap[1].wp_tbl);
			playerPrefs.set("1_wp_sel", party[i].weap[1].wp_sel);
			playerPrefs.set("1_wp_ob", party[i].weap[1].wp_ob);
			playerPrefs.set("1_wp_ca", party[i].weap[1].wp_ca);
			playerPrefs.set("1_wp_sz", party[i].weap[1].wp_sz);
			playerPrefs.set("1_wp_ma", party[i].weap[1].wp_ma);
			playerPrefs.set("1_wp_fm", party[i].weap[1].wp_fm);
			playerPrefs.set("1_wp_br", party[i].weap[1].wp_br);
			playerPrefs.set("1_wp_bf", party[i].weap[1].wp_bf);
			playerPrefs.set("1_wp_str", party[i].weap[1].wp_str);
			playerPrefs.set("1_wp_pc", party[i].weap[1].wp_pc);
			playerPrefs.set("1_wp_sc", party[i].weap[1].wp_sc);
			playerPrefs.set("1_wp_sm", party[i].weap[1].wp_sm);

			playerPrefs.set("2_wp_dsc", party[i].weap[2].wp_dsc);
			playerPrefs.set("2_wp_tbl", party[i].weap[2].wp_tbl);
			playerPrefs.set("2_wp_sel", party[i].weap[2].wp_sel);
			playerPrefs.set("2_wp_ob", party[i].weap[2].wp_ob);
			playerPrefs.set("2_wp_ca", party[i].weap[2].wp_ca);
			playerPrefs.set("2_wp_sz", party[i].weap[2].wp_sz);
			playerPrefs.set("2_wp_ma", party[i].weap[2].wp_ma);
			playerPrefs.set("2_wp_fm", party[i].weap[2].wp_fm);
			playerPrefs.set("2_wp_br", party[i].weap[2].wp_br);
			playerPrefs.set("2_wp_bf", party[i].weap[2].wp_bf);
			playerPrefs.set("2_wp_str", party[i].weap[2].wp_str);
			playerPrefs.set("2_wp_pc", party[i].weap[2].wp_pc);
			playerPrefs.set("2_wp_sc", party[i].weap[2].wp_sc);
			playerPrefs.set("2_wp_sm", party[i].weap[2].wp_sm);

			playerPrefs.set("3_wp_dsc", party[i].weap[3].wp_dsc);
			playerPrefs.set("3_wp_tbl", party[i].weap[3].wp_tbl);
			playerPrefs.set("3_wp_sel", party[i].weap[3].wp_sel);
			playerPrefs.set("3_wp_ob", party[i].weap[3].wp_ob);
			playerPrefs.set("3_wp_ca", party[i].weap[3].wp_ca);
			playerPrefs.set("3_wp_sz", party[i].weap[3].wp_sz);
			playerPrefs.set("3_wp_ma", party[i].weap[3].wp_ma);
			playerPrefs.set("3_wp_fm", party[i].weap[3].wp_fm);
			playerPrefs.set("3_wp_br", party[i].weap[3].wp_br);
			playerPrefs.set("3_wp_bf", party[i].weap[3].wp_bf);
			playerPrefs.set("3_wp_str", party[i].weap[3].wp_str);
			playerPrefs.set("3_wp_pc", party[i].weap[3].wp_pc);
			playerPrefs.set("3_wp_sc", party[i].weap[3].wp_sc);
			playerPrefs.set("3_wp_sm", party[i].weap[3].wp_sm);

			playerPrefs.set("4_wp_dsc", party[i].weap[4].wp_dsc);
			playerPrefs.set("4_wp_tbl", party[i].weap[4].wp_tbl);
			playerPrefs.set("4_wp_sel", party[i].weap[4].wp_sel);
			playerPrefs.set("4_wp_ob", party[i].weap[4].wp_ob);
			playerPrefs.set("4_wp_ca", party[i].weap[4].wp_ca);
			playerPrefs.set("4_wp_sz", party[i].weap[4].wp_sz);
			playerPrefs.set("4_wp_ma", party[i].weap[4].wp_ma);
			playerPrefs.set("4_wp_fm", party[i].weap[4].wp_fm);
			playerPrefs.set("4_wp_br", party[i].weap[4].wp_br);
			playerPrefs.set("4_wp_bf", party[i].weap[4].wp_bf);
			playerPrefs.set("4_wp_str", party[i].weap[4].wp_str);
			playerPrefs.set("4_wp_pc", party[i].weap[4].wp_pc);
			playerPrefs.set("4_wp_sc", party[i].weap[4].wp_sc);
			playerPrefs.set("4_wp_sm", party[i].weap[4].wp_sm);

			playerPrefs.set("5_wp_dsc", party[i].weap[5].wp_dsc);
			playerPrefs.set("5_wp_tbl", party[i].weap[5].wp_tbl);
			playerPrefs.set("5_wp_sel", party[i].weap[5].wp_sel);
			playerPrefs.set("5_wp_ob", party[i].weap[5].wp_ob);
			playerPrefs.set("5_wp_ca", party[i].weap[5].wp_ca);
			playerPrefs.set("5_wp_sz", party[i].weap[5].wp_sz);
			playerPrefs.set("5_wp_ma", party[i].weap[5].wp_ma);
			playerPrefs.set("5_wp_fm", party[i].weap[5].wp_fm);
			playerPrefs.set("5_wp_br", party[i].weap[5].wp_br);
			playerPrefs.set("5_wp_bf", party[i].weap[5].wp_bf);
			playerPrefs.set("5_wp_str", party[i].weap[5].wp_str);
			playerPrefs.set("5_wp_pc", party[i].weap[5].wp_pc);
			playerPrefs.set("5_wp_sc", party[i].weap[5].wp_sc);
			playerPrefs.set("5_wp_sm", party[i].weap[5].wp_sm);
		}
	}
	mainPrefs.flush();
}
