#include <stdio.h>
#include <stdio.h>
#include <fcntl.h>

#include "MEKSmerp.h"

#ifndef O_BINARY
#define O_BINARY O_RDWR
#endif

spells sl[378] = {
{0,10,"Aiming (F*c)","1 MIS","1 rnd","1 AT","+50OB MIS"},
{0,5,"Airstop (Fc)","10'R","C","100'",""},
{0,8,"Airstop (Fc)","20'R","C","100'",""},
{1,2,"Airwall (Ec)","10'x10'x3'","C","50'","-50%MM/AT"},
{0,2,"Airwall (Fc)","10'x10'x3'","C","100'","-25MM, -50OB AT"},
{1,9,"Animal Empathy (Pc)","1 Animal","C","100'",""},
{1,7,"Animal Facade (E)","self","1min/lvl","self",""},
{1,7,"Animal Location (P)","1miR","C","1mi","1 species"},
{1,5,"Animal Mastery (Fc)","1 Animal","C","100'","1 animal"},
{1,1,"Animal Sleep (F)","1 Animal","1min/lvl","100'",""},
{1,10,"Animal Tongues (U)","self","1min/lvl","self",""},
{1,4,"Animal Tongues (U)","self","1min/lvl","100'",""},
{1,2,"Area Protection I (Pc)","10'R","1min/lvl","10'","+10RR, -10 E Spell ATs"},
{1,5,"Area Protection II (Pc)","10'R","1min/lvl","10'","+20RR, -20 E Spell ATs"},
{1,10,"Area Protection III (Pc)","10'R","1min/lvl","10'","+30RR, -30 E Spell ATs"},
{0,5,"Assessment True (I)","1 object","-","touch",""},
{0,9,"Aura of Flame (E)","1 Obj","1rnd/lvl","touch","B crit"},
{1,6,"Awakening (U)","1 Target","P","touch",""},
{0,4,"Balance (U*)","1 Target","1 Maneuver","10'","+50 MM"},
{1,10,"Barrier Pit (E)","500-1000cu'","P","50'",""},
{0,7,"Bladeturn (F*)","1 AT","-","100'","-100OB AT"},
{1,10,"Blank Thoughts (Uc)","self","C","self",""},
{1,2,"Bless (U)","1 Target","1min/lvl","100'","+10DB/MM"},
{1,10,"Blinding (F*)","1 Target","varies","50'","10min/10 pt RR fail"},
{1,8,"Blood Transfusion (U)","1 Target","P","touch",""},
{0,1,"Boil Liquid (Fc)","1 cu'/lvl","P","10'",""},
{1,6,"Breeze Call (F)","20' cone","1rnd/lvl","self","-30OB MIS"},
{0,1,"Breeze Call (Fc)","20'cone","1rnd/lvl","self","-30OB MIS"},
{0,9,"Call Cold (E)","20'x20'x20'","1rnd/lvl","10'","A crit"},
{0,7,"Call Flame (E)","10'x10'x10'","1rnd/lvl","10'","A crit"},
{0,10,"Call Rain (F)","100'R/lvl","10min/lvl","100'/lvl",""},
{1,1,"Calm I (F)","1 Target","1min/lvl","100'","no AT"},
{1,2,"Calm II (F) ","2 Targets","1min/lvl","100'","no AT"},
{1,6,"Calm III (F)","3 Targets","1min/lvl","100'",""},
{1,7,"Calm IV (F)","4 Targets","1min/lvl","100'",""},
{0,1,"Calm Song (Fc)","1 target","C","50'","no ATs"},
{1,9,"Calm V (F)","5 Targets","1min/lvl","100'",""},
{0,6,"Calm Water (Fc)","100'R","C","100'",""},
{0,4,"Cancel Channel (F*c)","self","C","self",""},
{0,2,"Cancel Essence (F*c)","self","C","self",""},
{1,8,"Cancel Spell (F)","1 Spell","P","10'",""},
{1,4,"Cartilage Repair (U)","1 Joint","P","touch","recover d10hrs"},
{0,5,"Change of Kind (F)","1 Target","10min/lvl","10'","10% change"},
{0,2,"Charm Kind (F)","1 Target","1hr/lvl","100'",""},
{0,6,"Charm Song (Fc)","1 target","C","50'","3 rnds, lasts 10mins"},
{0,5,"Chill Solid (Fc)","1cu'/lvl","1hr","10'","-200F"},
{0,10,"Circle Aflame (E)","10'Rx10'x6","1rnd/lvl","self","A crit"},
{0,10,"Circle of Cold (E)","20'Rx20'x1'","1rnd/lvl","self","100HP, 50rnds"},
{0,8,"Clean Water (F)","1000cu'","P","100'",""},
{1,2,"Cloaking (E)","self","1min/lvl","self","+30 hide"},
{1,1,"Clotting I (U)   ","1 Target","P","touch","-1hp/rnd"},
{1,4,"Clotting V (U)","1 Target","P","touch","-5hp/rnd"},
{0,7,"Cold Ball (E)","20'R","-","100'",""},
{1,4,"Cold Resistance (U*c)","self","1min/lvl","self","-20F, +20RR, -20 vs E AT"},
{0,1,"Condensation (Fc)","cu' water","P","touch","-"},
{0,3,"Condensation (Fc)","cu' water","P","touch","-"},
{0,4,"Confusion (F)","1 Target","varies","100'","1rnd/5pt RR fail) "},
{0,4,"Cool Air (Ec)","1000cu'/lvl","1hr","100'","-20F, -10F/rnd"},
{0,2,"Cool Solid (Fc)","1 cu'/lvl","24hr","10'","-20F"},
{0,5,"Cracks Call (F)","1000cu'","-","100'",""},
{0,3,"Crush Stone (F)","2x2x2i","-","100'",""},
{1,10,"Curse Tails (I)","1 curse","-","10'","nature/origin"},
{1,2,"Cut Repair (U)   ","1 Target","P","touch","-1hp/rnd"},
{1,5,"Cut Repair III (U)","1 Target","P","touch","-3hp/rnd"},
{0,6,"Dark (F)","10'R","10min/lvl","touch",""},
{0,9,"Dark (Fc)","50'R","10min/lvl","touch","vary radius"},
{1,7,"Darkness (F)","10'R","10min/lvl","touch",""},
{0,10,"Death Cloud (E)","5'R","10 rnd","10'","EEDDCCBBAA crits/RR"},
{1,6,"Death's Tale (I)","1 Body","-","10'",""},
{1,9,"Deflect Organic (F*)","self","-","self","-100 to Mis AT"},
{0,5,"Deflections (F*)","1 Missile","-","100'","-100OB MIS"},
{1,8,"Defriending (Fc)","50'R","C","self",""},
{1,7,"Detect Ambush (P)","50'R","10min/lvl","self",""},
{0,3,"Detect Channel (Pc)","5'R","1min/lvl","100'",""},
{1,1,"Detect Channel (Pc)","5'R","1min/lvl","50'",""},
{1,4,"Detect Curse (Pc)","5'R","1min/lvl","50'",""},
{1,2,"Detect Disease (Pc)","5'R","1min/lvl","100'",""},
{0,1,"Detect Essence (Pc)","5'R","1min/lvl","100'",""},
{1,2,"Detect Essence (Pc)","5'R","1min/lvl","50'",""},
{0,7,"Detect Evil (Pc)","5'R","1min/lvl","100'",""},
{1,3,"Detect Evil (Pc)","5'R","1min/lvl","50'",""},
{0,4,"Detect Invisible (Pc)","5'R","1min/lvl","100'","AT -50"},
{1,8,"Detect Invisible (Pc)","5'R","1min/lvl","50'",""},
{1,4,"Detect Poison (Pc)","5'R","1min/lvl","100'",""},
{0,3,"Detect Power (I)","1 object","-","touch",""},
{0,5,"Detect Traps (Pc)","5'R","1min/lvl","100'","75%"},
{1,6,"Detect Traps (Pc)","5'R","1min/lvl","50'","75%"},
{0,6,"Disarm I (F)","1 trap","-","touch","20%,40% magical"},
{1,3,"Disease Purify (P)","1 Target","P","10'",""},
{1,6,"Disease Resistance (U)","1 Target","1min/lvl","10'","extra RR"},
{0,8,"Dispel Channel (F*)","10'R","C","self","+30RR"},
{0,6,"Dispel Essence (F*)","10'R","C","self","+30RR"},
{1,3,"Dream I (I)","self","-","self",""},
{1,9,"Dream III (I)","self","-","self",""},
{0,9,"Earth/Mud (F)","100cu'","P","100') ",""},
{0,10,"Earth/Stone (F)","100cu'","P","100'",""},
{1,7,"Earthwall (E)","10'x20'x2'","1min/lvl","50'","10 rnds"},
{0,4,"Earthwall (F)","10'x10'x1.5'","1min/lvl","100'","10 rnds"},
{0,8,"Earthwall True (E)","10'x10'x1'","P","100'",""},
{0,1,"Enchanted Rope (Fc)","1 Rope","C","10'/lvl","no AT"},
{0,1,"Familiar (P)","1 target","P","touch",""},
{0,8,"Fast Sprint (F*)","1 Target","10min/lvl","10'","*4 MM"},
{0,8,"Fire Ball (E)","10'R","-","100'",""},
{0,6,"Fire Bolt (E)","1 Target","-","100'",""},
{1,2,"Fire Starting (F)","1'R","P","touch",""},
{0,5,"Fly (U)","1 Target","1min/lvl","10'","75'/rnd"},
{0,7,"Fly (U)","1 Target","1min/lvl","10'","150'/rnd"},
{0,2,"Fog Call (F)","10'R/lvl","P","10'/lvl","-50OB MIS"},
{1,8,"Fog Call (F)","10'R/lvl","P","10'/lvl","-50 Mis AT"},
{1,5,"Food Finding (I)","1mi'R","-","self",""},
{1,4,"Food Production (P)","-","P","10'","enough for 1 person"},
{1,3,"Freeze (Fc)","1cu'/rnd","C","10'","downto -30'F"},
{0,1,"Freeze Liquid (Fc)","1 cu'/lvl","P","10'","-30F"},
{1,2,"Frost/Burn Rel. I (U)","1 burn","P","touch","1st degree"},
{1,5,"Frost/Burn Rel. II (U)","varies","P","touch","2nd degree"},
{1,8,"Frost/Burn Rel. III (U)","varies","P","touch","3rd degree"},
{0,10,"Gaslungs (U)","1 Target","10min/lvl","10'",""},
{1,8,"Goldern Slumbers (F*)","1 Target","varies","50'","1 rnd/10 pt RR fail"},
{0,6,"Great Song (F*)","10'R","as song","as song",""},
{0,6,"Haste I (F*)","1 Target","1 rnd","10'","no rate penalty"},
{1,1,"Heal 10 (U)","1 Target","P","touch","d10 HP"},
{1,7,"Heal 50 (U)","1 Target","P","touch","5d10 HP"},
{1,3,"Heat Resistance (U*c)","self","1min/lvl","self","200F, +20RR,-20 vs E AT"},
{0,5,"Heat Solid (Fc)","1cu'/lvl","1hr","10'","50F, +100F/rnd"},
{1,6,"Herb Cleansing (U)","1 herb","P","10'",""},
{1,4,"Herb Mastery (U)","1 Herb","P","touch","*2 potency"},
{1,8,"Herb Production (U)","1 herb","P","touch","d10rnds to grow"},
{0,7,"Hold Kind (Fc)","1 Target","C","100'","25%MM"},
{1,3,"Hold Kind (Fc)","1 Target","C","100'","25%MM"},
{0,2,"Holding Song (Fc)","1 target","C","50'","25%"},
{1,1,"Hues (F)","self","1min/lvl","self","+50 hiding"},
{0,6,"Ice Bolt (E)","1 Target","-","100'",""},
{1,8,"Icewall (Ec)","10'x10'x1.5'","C","50'","50rnds, 100HP"},
{0,6,"Illusion II (E)","varies","varies","varies",""},
{0,9,"Illusion III (E)","varies","varies","varies",""},
{1,3,"Inst. Herb Cures (U)","1 Herb","-","touch",""},
{0,6,"Interpreting Ear (Pc)","1 speaker","C","-",""},
{1,2,"Intuitions I (I)","self","-","self","vision next min"},
{1,5,"Intuitions III (I)","self","-","self","vision 3 mins"},
{1,8,"Intuitions V (I)","self","-","self","vision 5 mins"},
{0,4,"Invisibility (E)","1 Target","24hr","10'",""},
{0,8,"Invisibilty (E)","10'R","24hr","10'",""},
{0,4,"Item Analysis (I)","1 object","-","touch","10%"},
{0,2,"Item Assessment (I)","1 object","-","touch",""},
{0,7,"Jamming (F)","1 door","P","50'",""},
{0,1,"Jewel/Metal Ass. (I)","1 object","-","touch","within 10%"},
{1,7,"Joining (U*)","1 Limb","P","touch","recover d10 days"},
{1,7,"Joining (U*)","1 Limb","P","touch","recover d10 days"},
{1,7,"Joining (U*)","1 Limb","P","touch","recover d10 days"},
{1,10,"Joint Repair (U)","1 Joint","P","touch","recover d10hrs"},
{0,2,"Landing (U*)","1 Target","until lands","100'","-20'/lvl"},
{0,3,"Language Lore (I)","1 text","-","touch","language and author"},
{0,1,"Leaping (U*)","1 Target","1 rnd","100'","50'>/20'^"},
{0,2,"Learn Language (Uc)","self","C","-","*2 learning"},
{0,3,"Leaving (U)","1 Target","-","10'","100'R, no barriers"},
{0,9,"Leaving (U)","1 Target","-","10'","300'R"},
{1,8,"Lesser Traps (F)","varies","P","touch","max B crit"},
{0,4,"Levitation (U)","1 Target","1min/lvl","10'","10'/rnd"},
{1,10,"Lifekeeping (I)","1 Body","1day/lvl","10'","within 12 rnds"},
{1,4,"Lifekeeping (I)","1 Body","1hr/lvl","10'","within 12 rnds"},
{1,3,"Light (F)","10'R","10min/lvl","touch",""},
{1,6,"Light (F)","10'R","10min/lvl","touch",""},
{0,3,"Light I (F)","10'R","10min/lvl","touch",""},
{0,3,"Light Mirage (E)","10'R","10min/lvl","100'",""},
{0,7,"Light V (Fc)","50'R","10min/lvl","touch","vary radius"},
{0,10,"Lightning Bolt (E)","1 Target","-","100'","300'R"},
{1,6,"Limbrunning (F) ","self","1min/lvl","self",""},
{1,6,"Limbrunning (F)","self","1min/lvl","self",""},
{1,1,"Limbwalking (F) ","self","1min/lvl","self",""},
{1,2,"Limbwalking (F)","self","1min/lvl","self",""},
{0,3,"Listen (Uc)","varies","1min/lvl","10'",""},
{0,8,"Location (Pc)","1 target","1min/lvl","100'",""},
{1,5,"Location (Pc)","1 Target","1min/lvl","100'",""},
{1,7,"Location (Pc)","1 Target","1min/lvl","300'",""},
{1,9,"Location (Pc)","1 Target","1min/lvl","500'",""},
{0,1,"Lock (F)","1 lock","-","100'",""},
{0,3,"Locklore (I)","1 lock","-","touch","+20,+10"},
{1,4,"Long Calm (F)","1 Target","1min/lvl","300'","no AT"},
{0,8,"Long Door (U)","1 Target","-","10'","100'R"},
{0,5,"Long Ear (Uc)","varies","1min/lvl","100'",""},
{0,7,"Long Eye (Uc)","varies","1min/lvl","100'",""},
{0,1,"Long Whisper (F*c)","1 point","C","50'/lvl",""},
{0,2,"Loosen Earth (F)","100 cu'","P","100'",""},
{0,2,"Magic Lock (F)","1 door","1min/lvl","touch",""},
{1,6,"Major Ear Repair (U)","1 Ear","P","touch","d10hrs"},
{1,8,"Major Eye Repair (U)","1 Eye","P","touch","d10hrs"},
{1,6,"Major Frac. Rep. (U)","1 Break","P","touch","recover d10hrs"},
{1,5,"Major Nerve Repair (U)","1 Area","P","touch","d10hrs"},
{1,6,"Major Vessel Rep. (U)","1 wound","P","touch","-5hp/rnd"},
{1,9,"Mass Clotting (U)","1 Target","P","touch","reduced by lvl"},
{1,10,"Mass Cut Repair (U)","1 Target","P","touch","reduced by lvl"},
{0,8,"Master of Kind (F)","1 Target","10min/lvl","50'",""},
{1,10,"Mental Cures (P)","1 Target","P","10'","1 mental disease"},
{1,5,"Merging Organic (F)","self","1min/lvl","self","1'deep"},
{0,4,"Minds Lore I (P)","1 target","1 rnd","50'","10 % per subject"},
{1,3,"Minor Ear Repair (U)","1 Ear","P","touch","d10hrs"},
{1,4,"Minor Eye Repair (U)","1 Eye","P","touch","d10hrs"},
{1,2,"Minor Frac. Rep. (U)","1 Break","P","touch","recover d10hrs"},
{1,2,"Minor Nerve Repair (U)","1 Area","P","touch","d10hrs"},
{1,3,"Minor Vessel Rep. (U)","1 Target","P","touch","-3hp/rnd"},
{1,3,"Muscle Repair (U)","1 Muscle","P","touch","recover d10hrs"},
{1,1,"Nasal Repair (U) ","1 Nose","P","touch",""},
{1,2,"Nature's Awareness (Ic)","100'R","C","self",""},
{1,5,"Nature's Awareness (Ic)","300'R","C","self",""},
{1,9,"Nature's Awareness (Ic)","500'R","C","self",""},
{1,10,"Natures Awareness (Ic)","100'R","C","self",""},
{1,9,"Nerve Repair True (U)","1 Area","P","touch","d10hrs"},
{1,3,"Neutralise Curse (F)","1 Curse","1min/lvl","touch","-20RR"},
{1,7,"Neutralise Curse (F)","1 Curse","1hr/lvl","touch","-20RR"},
{1,8,"Neutralize Disease (P)","10'R","P","10'",""},
{1,9,"Neutralize Poison (P)","10'R","P","10'",""},
{0,5,"Night Vision (U)","1 Target","10min/lvl","10'","100' night vision"},
{1,9,"Nutrient Conjures (F)","-","P","10'",""},
{0,8,"Observe (Uc)","varies","1min/lvl","100'",""},
{0,4,"Opening I (F)","1 lock","-","touch","20%,40% magical"},
{1,10,"Organ Repair (U)","1 Organ","P","touch","d10hrs"},
{1,8,"Passing Lore (I)","-","-","touch","beings within 50'R, within 1hr/lvl"},
{1,4,"Path Tale (I)","self","-","self","upto 1hr/lvl"},
{1,5,"PathFinding (Ic)","1mi'R","C","1 mile",""},
{1,9,"PathFinding (Ic)","5mi'R","C","5 miles",""},
{1,1,"Pathlore (I)","10'R","-","self",""},
{0,7,"Phantasm I (Ec)","10'R","1min/lvl","100'",""},
{0,10,"Phantasm II (Ec)","varies","varies","varies",""},
{1,10,"Plant Control (F)","1 plant","1min/lvl","100'",""},
{1,5,"Plant Facade (E)","self","1min/lvl","self",""},
{1,9,"Plant Facade (F)","self","1min/lvl","self",""},
{1,9,"Plant Growth (F)","1 plant","P","touch","double size"},
{1,5,"Plant Location (P)","1 Plant","-","1 mile",""},
{1,1,"Plant Lore (I)","1 Plant","-","touch",""},
{1,2,"Plant Tongues (U)","self","1min/lvl","self",""},
{1,5,"Poison Purify (P)","1 Target","P","10'",""},
{1,7,"Poison Resistance (U)","1 Target","1min/lvl","10'","extra RR"},
{0,6,"Portal (U)","3'x6'x3'","1rnd/lvl","touch",""},
{1,1,"Prayer (U)","1 Target","1min/lvl","100'","+10RR/MM"},
{0,2,"Presence I (P*c)","10'R","1rnd/lvl","self",""},
{0,4,"Presence III (P*c)","30'R","1 rnd/lvl","self",""},
{1,1,"Preservation (U)","1 Body","1hr/lvl","10'","Uncon if alive"},
{1,7,"Preservation (U)","1 Body","1day/lvl","10'","Uncon if alive"},
{1,1,"Projected Light (F)","50' beam","10min/lvl","self",""},
{0,1,"Projected Light (Fc)","50' beam","10min/lvl","self",""},
{1,1,"Protection I (P)","1 Target","1min/lvl","10'","+10RR, -10 E Spell ATs"},
{1,4,"Protection II (P)","1 Target","1min/lvl","10'","+20RR, -20 E Spell ATs"},
{1,9,"Protection III (P)","1 Target","1min/lvl","10'","+30RR, -30 E Spell ATs"},
{1,1,"Purify Food/Water (P)","1'R","-","10'",""},
{0,10,"Quest (F)","1 Target","varies","10'",""},
{1,4,"Quiet (F)","1'R","1min/lvl","100'",""},
{1,4,"Regeneration I (Uc*)","1 Target","C","touch","1HP/rnd"},
{1,10,"Regeneration III (Uc*)","1 Target","C","touch","3HP/rnd"},
{1,6,"Remove Curse (F)","1 Curse","P","touch",""},
{0,2,"Resist Cold (U)","1 Target","1min/lvl","10'","-30F, +10RR vs Cold"},
{1,4,"Resist Elements (U)","1 Target","1min/lvl","100'","+20RR/DB"},
{0,1,"Resist Heat (U)","1 Target","1min/lvl","10'","200F, +10RR vs Heat"},
{1,3,"Resistance (U)","1 Target","1min/lvl","100'","+5RR/DB"},
{0,1,"Run (F*)","1 Target","10min/lvl","10'","*2 MM"},
{0,3,"Rune I (F)","1 Sheet","varies","touch",""},
{0,5,"Rune II (F)","1 Sheet","varies","touch",""},
{0,7,"Rune III (F)","1 Sheet","varies","touch",""},
{0,9,"Rune V (F)","1 Sheet","varies","touch",""},
{1,4,"Sandrunning (F) ","self","1min/lvl","self",""},
{1,4,"Sandrunning (F)","self","1min/lvl","self",""},
{1,5,"Self Cloaking (Fc)","self","C","self","+75 hiding"},
{0,3,"Self Size Chg (F)","self","1min/lvl","self","+/- 50% size"},
{0,4,"Shade (F)","100'R","10min/lvl","100'","hide +25"},
{1,2,"Shade (F)","100'r","10min/lvl","touch","+25 hiding"},
{1,8,"Shadow (F)","self","-","self",""},
{1,8,"Shadow (F)","self","1hr/lvl","self",""},
{1,7,"Shelter Finding (I)","1miR","-","self",""},
{0,2,"Shield (F*)","self","1min/lvl","self","+25DB"},
{0,2,"Shock Bolt (E)","1 Target","-","100'",""},
{0,8,"Shock Bolt (E)","1 Target","-","300'",""},
{1,7,"Shock Bolt (E)","1 Target","-","100'",""},
{0,6,"Sidevision (U)","1 Target","10min/lvl","10'","300o vision"},
{0,10,"Sign of Stunning (F)","1cu'","varies","touch","10min/10pt RR fail"},
{0,6,"Significance (I)","1 object","-","touch",""},
{0,2,"Silence (F)","10'R","1min/lvl","self",""},
{1,8,"Silence (F)","10'R","1min/lvl","100'",""},
{1,4,"Silent Moves (F)","self","1min/lvl","self","1'R"},
{0,4,"Silent Song (Fc)","1 target","C","50'",""},
{0,9,"Size Changing (F)","1 Target","10min/lvl","10'","10%/lvl"},
{1,9,"Skull Repair (U)","1 Skull","P","touch","recover d10hrs"},
{0,5,"Sleep Song (Fc)","1 target","C","50'",""},
{0,1,"Sleep V (F)","varies","varies","100'","5 lvls"},
{0,3,"Sleep VII (F)","varies","varies","100'","7 lvls"},
{0,6,"Sleep X (F)","varies","varies","100'",""},
{0,3,"Sly Ears (U)","1 Target","10min/lvl","10'","*2 Hearing"},
{0,4,"Song II (F*)","2 Targets","as song","as song",""},
{0,3,"Song Sounding II (F*)","1 song","as song","2* range",""},
{0,5,"Sonic Law (Fc)","10'R","C","self",""},
{0,1,"Sound Mirage (E)","10'R","10min/lvl","100'",""},
{0,7,"Sounding (U)","1 Target","10min/lvl","10'","vol. *3"},
{1,2,"Speech I (Pc)","1 Target","C","10'",""},
{1,6,"Speech II (Pc)  ","1 Target","C","10'",""},
{1,7,"Speed Growth (F)","10'R","1day","10'",""},
{0,2,"Speed I (F*)","1 Target","1 rnd","10'","200% MM"},
{0,7,"Speed III (F*)","1 Target","3 rnd","10'","200% MM"},
{0,1,"Spell Store (U)","1 Spell","varies","self",""},
{1,1,"Sprain Repair (U)","1 Sprain","P","touch","recover d10hrs"},
{0,4,"Sprint (F*)","1 Target","10min/lvl","10'","*3 MM"},
{0,3,"Staying (F)","5lb","1min/lvl","100'",""},
{0,8,"Staying (F)","20lb","1min/lvl","100'",""},
{1,6,"Sterilization (P)","1cu'/lvl","-","self",""},
{0,7,"Stone/Earth (F)","100cu'","P","100'",""},
{1,7,"Stonerunning (F) ","self","1min/lvl","self",""},
{1,1,"Stonerunning (F)","self","1min/lvl","self","upto 70o"},
{0,6,"Stonewall (E)","10'x10'x1'","1min/lvl","100'",""},
{1,3,"Storm Prediction (I)","1mi/lvl","-","self","95%"},
{0,1,"Study I (Uc)","self","C","-","photographic memory"},
{0,5,"Study II  (Uc)","self","C","-","as Study I, *2 reading"},
{0,4,"Stun Cloud (F)","5'R","6 rnds","10'","CCBBAA crits/RR"},
{0,6,"Stun Cloud (F)","10'R","6 rnds","20'","CCBBAA crits/RR"},
{0,9,"Stun Cloud (F)","20'R","6 rnds","40'","CCBBAA crits/RR"},
{1,3,"Stun Relief I (U*)","1 Target","P","touch","1rnd"},
{1,9,"Stun Relief III (U*)","1 Target","P","touch","3rnds"},
{0,3,"Stun Song (Fc)","1 target","C","50'",""},
{1,5,"Stunning (F*)","1 Target","varies","50'","1 rnd/10 pt RR fail"},
{0,5,"Sudden Light (F)","10'R","-","100'","1rnd/5pt RR fail"},
{1,5,"Sudden Light (F)","10'R","-","100'","1 rnd/5 pt RR fail"},
{0,5,"Suggestion (F)","1 Target","varies","100'",""},
{1,3,"Summons I (Fc)","-","1min","100'","1 level"},
{1,6,"Summons III (Fc)","-","varies","100'","3 levels"},
{1,10,"Summons V (Fc)","-","varies","100'","5 levels"},
{1,1,"Sustain Self (U)","self","1day","self",""},
{1,3,"Swimming (F*)   ","self","5min/lvl","self",""},
{1,3,"Swimming (F*)","self","5min/lvl","self",""},
{1,10,"Swimming True (F*) ","self","5min/lvl","self",""},
{1,10,"Swimming True (F*)","self","5min/lvl","self",""},
{0,5,"T/S Mirage (E)","10'R","10min/lvl","100'",""},
{0,4,"Telekinesis (Fc)","5lb","1min/lvl","100'","11km/hr"},
{0,9,"Telekinesis (Fc)","20lb","1min/lvl","100'",""},
{0,10,"Teleport (U)","1 Target","-","10'","% error,10miles/lvl"},
{1,5,"Tendon Repair (U)","1 Tendon","P","touch","recover d10hrs"},
{0,2,"Text Analysis I (Ic)","text","1min/lvl","self)  ",""},
{0,6,"Text Analysis II (Ic)","text","1min/lvl","self",""},
{1,8,"Tooth Repair (U)","1 Tooth","P","touch","recover d10hrs"},
{1,7,"Traceless Passing (Fc)","self","C","self",""},
{1,8,"Track Hiding (Fc)","-","C","50'",""},
{1,3,"Tracking (Ic)","self","C","self","+50 Tracking"},
{1,6,"Tracks Lore (I)","-","-","touch","visual, +25 tracking"},
{1,2,"Trap Detection (Ic)","5'R","1min/lvl","10'","75% outdoors"},
{1,1,"Trap Detection (Pc)","5'R","1min/lvl","10'",""},
{0,5,"Traplore (I)","1 trap","-","touch","+20,+10"},
{0,9,"True Charm (F)","1 Target","1hr/lvl","100'",""},
{1,10,"Turnings Organic (F*)","self","-","self","-100 to AT"},
{1,6,"Underwater Breath (U)","self","1min/lvl","self",""},
{0,5,"Unfog (F)","10'R","P","100'",""},
{0,2,"Unseen (E)","1 Target","24hr","10'",""},
{1,9,"Utterlight (F)","10'R","1min/lvl","touch","full daylight"},
{0,7,"Vacuum (F)","5'R","-","100'","B crit/RR"},
{0,1,"Vibrations (F)","5lb","1min/lvl","100'","RR break/fumble"},
{0,6,"Vibrations (F)","20lb","1min/lvl","100'",""},
{1,7,"Waiting Awareness (I)","10'R","1hr/lvl","self","alerts caster"},
{1,10,"Waiting Light (F)","10'R","max 24hr/lvl","touch","waits for trigger"},
{0,3,"Wall of Cold (E)","10'x10'x1'","1rnd/lvl","100'","A crit"},
{0,4,"Wall of Fire (E)","10'x10'x6","1rnd/lvl","100'","A crit"},
{0,8,"Wall of Ice (E)","10'x10'x1'","P","100'","100HP, 50rnds"},
{0,2,"Warm Solid (Fc)","1 cu'/lvl","24hr","10'","100F"},
{0,6,"Watch (Uc)","varies","1min/lvl","10'",""},
{0,4,"Water Bolt (E)","1 Target","-","100'",""},
{0,9,"Water Bolt (E)","1 Target","-","300'",""},
{1,1,"Water Finding (I)","1mi'R","-","self",""},
{1,3,"Water Production (P)","-","P","10'","enough for 1 person"},
{0,3,"Water Wall (Ec)","10'x10'x1'","C","100'","-40MM, -80OB AT"},
{1,5,"WaterWall (Ec)","10'x10'x1'","C","50'","-80%MM/AT"},
{0,7,"WaterWall True (E)","10'x10'x1'","1min/lvl","100'",""},
{0,9,"Waterlungs (U)","1 Target","10min/lvl","10'",""},
{1,9,"Waterruning (F)","self","1min/lvl","self",""},
{1,8,"Waterrunning (F) ","self","1min/lvl","self",""},
{0,8,"Watervision (U)","1 Target","10min/lvl","10'","100'R vision"},
{1,2,"Waterwalking (F)","self","1min/lvl","self","50'/rnd"},
{1,5,"Waterwalking (F)","self","1min/lvl","self",""},
{0,8,"Weakening (F)","1 door","P","50'",""},
{1,9,"Weather Predic. (I)","1miR","-","self","95% within 24 hrs"},
{1,10,"Weather Prediction (I)","1mi/lvl","-","self","95%"},
{1,4,"Weather Prediction (I)","1mi/lvl","-","self","95%"},
{1,9,"Windwalking (F) ","self","1min/lvl","self",""},
{0,3,"Woodfires (F)","1'R","-","1'",""},
{1,6,"Woodwall (E)","10'x20'x2","1min/lvl","50'","50HP"},
{-1,-1,"","","","",""}};

/*****************************************************************************/
main()
{
int file, i,j,sz;
char *rdata;

  rdata = (char *)&sl[0].realm_id; j = 'X'+'S'; sz = sizeof(sl);
  for (i=0; i<sz; i++)
  {
	*rdata = ~ (*rdata ^ j); rdata++;
  }

  if ((file = open("tab_xs.dat", O_BINARY|O_TRUNC|O_RDWR|O_CREAT, 111)) != -1)
  {
	write(file, &sl[0].realm_id, sizeof(sl));
	close(file);
  }
}
